<!DOCTYPE html>
<html ng-app="dashboard" ng-controller="DashboardController as main">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>{{main.server.name}} {{main.productName}}</title>
    <!-- Stub console functions to avoid refresh problems with IE -->
    <script>
        (function () {
            var method;
            var noop = function () {
            };
            var methods = [
                'assert', 'clear', 'count', 'debug', 'dir', 'dirxml', 'error',
                'exception', 'group', 'groupCollapsed', 'groupEnd', 'info', 'log',
                'markTimeline', 'profile', 'profileEnd', 'table', 'time', 'timeEnd',
                'timeline', 'timelineEnd', 'timeStamp', 'trace', 'warn'
            ];
            var length = methods.length;
            var console = (window.console = window.console || {});

            while (length--) {
                method = methods[length];

                // Only stub undefined methods.
                if (!console[method]) {
                    console[method] = noop;
                }
            }
        })();
    </script>

    <link rel="stylesheet" href="lib/css/bootstrap.min.css"/>
    <link rel="stylesheet" href="lib/css/bootstrap-theme.min.css"/>
    <link rel="stylesheet" href="lib/css/ng-table.min.css"/>
    <link rel="stylesheet" href="lib/css/angular-toggle-switch-bootstrap-3.css"/>
    <link rel="styleSheet" href="lib/css/ui-grid.min.css"/>

    <link rel="stylesheet" href="css/std.css"/>
    <link rel="stylesheet" href="css/special.css"/>

    <script src="lib/js/jquery.min.js"></script>
    <script src="lib/js/angular.min.js"></script>
    <script src="lib/js/angular-animate.min.js"></script>
    <script src="lib/js/angular-aria.min.js"></script>
    <script src="lib/js/angular-messages.min.js"></script>
    <script src="lib/js/angular-resource.min.js"></script>
    <script src="lib/js/bootstrap.min.js"></script>
    <script src="lib/js/ui-bootstrap-tpls.min.js"></script>
    <script src="lib/js/q.min.js"></script>
    <script src="lib/js/moment.min.js"></script>
    <script src="lib/js/ng-table.min.js"></script>
    <script src="lib/js/angular-toggle-switch.min.js"></script>
    <script src="lib/js/ui-grid.min.js"></script>

    <script src="js/app.js"></script>

    <script src="js/services/serviceCommandREST.js"></script>

    <script src="js/filters/bytesToString.js"></script>
    <script src="js/filters/dateTimeToString.js"></script>
    <script src="js/filters/timeDiffToString.js"></script>

    <script src="js/controllers/dashboard.js"></script>

    <script src="js/components/leiter.js"></script>
    <script src="js/components/Zeit.js"></script>
    <script src="js/components/teilnehmer.js"></script>


</head>

<body>
<script>
    function detectIE () {
        let ua = window.navigator.userAgent;
        let msie = ua.indexOf('MSIE ');
        if (msie > 0) {
            // IE 10 or older => return version number
            return parseInt(ua.substring(msie + 5, ua.indexOf('.', msie)), 10);
        }

        let trident = ua.indexOf('Trident/');
        if (trident > 0) {
            // IE 11 => return version number
            let rv = ua.indexOf('rv:');
            return parseInt(ua.substring(rv + 3, ua.indexOf('.', rv)), 10);
        }

        let edge = ua.indexOf('Edge/');
        if (edge > 0) {
            // Edge (IE 12+) => return version number
            return parseInt(ua.substring(edge + 5, ua.indexOf('.', edge)), 10);
        }
        // other browser
        return false;
    }
    if (detectIE()) {
        document.write('<div class="ieError">' +
            '<h1>This Dashboard is not compatible with your Internet Explorer version. </h1>' +
            '<h1>Please use Chrome or Firefox!</h1>' +
            '</div>');
    }
</script>

<div class="container-fluid dashboard contentStdWidth">
    <div class="panel panel-default">
        <div class="panel-heading">
        </div>

        <div class="panel-body">
            <zeit></zeit>
            <teilnehmer></teilnehmer>
        </div>

        <div class="panel-footer">
        </div>

    </div>
</div>
</body>

</html>
